> ## Documentation Index > Fetch the complete documentation index at: https://docs.mapp.com/llms.txt > Use this file to discover all available pages before exploring further. # Get a contact > Returns a contact object that matches the specified identifier.
Request body examples:

{
"type":"EMAIL",
"value":"test@test.com"
}

{
"type":"MOBILE",
"value":"48505606707"
}

Note: Do not confuse user/get, which is a GET call requiring a user id, with contact/get, which is a POST call requiring a post body containing the identifier to query (email, mobile). ## OpenAPI ````json POST /contact/get { "openapi": "3.0.4", "info": { "title": "Engage public API", "version": "1" }, "servers": [ { "url": "https://your-engage-domain.com/api/rest" } ], "tags": [ { "name": "Address Attributes" }, { "name": "Async" }, { "name": "Audit Log" }, { "name": "Automation" }, { "name": "Blacklist" }, { "name": "CMS" }, { "name": "Contact" }, { "name": "Content" }, { "name": "Coupon" }, { "name": "Draft Message" }, { "name": "Ecommerce" }, { "name": "Group" }, { "name": "Group Attributes" }, { "name": "Landing Page" }, { "name": "Member Attributes" }, { "name": "Membership" }, { "name": "Message" }, { "name": "Meta" }, { "name": "Mobile Push" }, { "name": "Prepared Message" }, { "name": "Process" }, { "name": "Profile Attributes" }, { "name": "Related Data" }, { "name": "Segmentation" }, { "name": "System" }, { "name": "System User" }, { "name": "Usage Statistics" }, { "name": "User" }, { "name": "Whiteboard" } ], "paths": { "/contact/get": { "post": { "tags": [ "Contact" ], "summary": "Get a contact", "description": "Returns a contact object that matches the specified identifier.
Request body examples:

{
\"type\":\"EMAIL\",
\"value\":\"test@test.com\"
}

{
\"type\":\"MOBILE\",
\"value\":\"48505606707\"
}

Note: Do not confuse user/get, which is a GET call requiring a user id, with contact/get, which is a POST call requiring a post body containing the identifier to query (email, mobile).", "operationId": "get", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ContactIdentifier" } } }, "x-bodyName": "body" }, "responses": { "200": { "description": "", "content": { "application/octet-stream": { "schema": { "$ref": "#/components/schemas/Contact" } } } }, "400": { "description": "Bad request. Can have several meanings:
", "content": { "application/octet-stream": {} } }, "403": { "description": "Incorrect system user login credentials. Check username password, and check that the corresponding system user account is Type “API” or “Hybrid”.", "content": { "application/octet-stream": {} } } } } } }, "components": { "schemas": { "ContactIdentifier": { "type": "object", "properties": { "type": { "enum": [ "APP_ALIAS", "EMAIL", "EXTERNAL", "ID", "MOBILE" ], "type": "string" }, "value": { "type": "string" } } }, "Contact": { "type": "object", "properties": { "contactId": { "type": "integer", "format": "int64" }, "emailAddress": { "type": "string" }, "mobileNumber": { "type": "string" }, "applicationAlias": { "type": "string" }, "identifier": { "type": "string" }, "attributes": { "type": "array", "items": { "$ref": "#/components/schemas/Attribute" } }, "channelAddresses": { "type": "array", "items": { "$ref": "#/components/schemas/Attribute" } } } }, "Attribute": { "type": "object", "properties": { "name": { "type": "string" }, "value": { "type": "string" } } } } } } ````